# Configuración de la aplicación
APP_ENV=production
APP_URL=https://ponsprueba.duckdns.org/
TZ=America/Mexico_City

# Configuración de la base de datos
DB_HOST=10.10.4.17
DB_PORT=3391
DB_NAME=lastwar2
DB_USER=nickpons666
DB_PASS=MiPo6425@@
DB_DIALECT=mysql

# Configuración de JWT
JWT_SECRET=19c5020fa8207d2c3b9e82f430784667e001f1eb733848922f7bcb9be98f93c2

# Configuración de Discord
DISCORD_GUILD_ID=1338327171013541999
DISCORD_CLIENT_ID=1385790344594985061
DISCORD_CLIENT_SECRET=hK9SNiYdenHQVxakt8Mx3RoMkZ5oOJvk
DISCORD_BOT_TOKEN=MTM4NTc5MDM0NDU5NDk4NTA2MQ.GvobiS.TRQM9dX7vDjmuGVa3Ckp6YRtGEWxdW0gBDbvCI

# Configuración de Telegram
TELEGRAM_BOT_TOKEN=8469229183:AAEVIV5e7rjDXKNgFTX0dnCW6JWB88X4p2I
TELEGRAM_WEBHOOK_TOKEN=webhook_secure_token_12345

LIBRETRANSLATE_URL=https://translate-pons.duckdns.org

#N8N_URL=https://n8n-pons.duckdns.org
#N8N_TOKEN=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiI4MWY4YjU3YS0wMTg2LTQ1NTctOWZlMC1jYWUxNjZlYzZlMTkiLCJpc3MiOiJuOG4iLCJhdWQiOiJwdWJsaWMtYXBpIiwiaWF0IjoxNzU1OTMwO>

# Clave secreta para la comunicación segura entre n8n y api_handler.php.
# DEBE SER UNA CADENA LARGA Y ALEATORIA. Genera una con: openssl rand -hex 32
#INTERNAL_API_KEY="b5dda33b8eb062e06e100c98a8947c0248b6e38973dfd689e81f725af238d23c"

# URL completa del webhook de n8n que procesa la cola de mensajes (process_queue_workflow).
# La obtienes del nodo Webhook en tu flujo de n8n.
#N8N_PROCESS_QUEUE_WEBHOOK_URL="https://n8n-pons.duckdns.org/webhooktest/ia"
#N8N_IA_WEBHOOK_URL="https://n8n-pons.duckdns.org/webhook/ia"
#N8N_IA_WEBHOOK_URL_DISCORD=https://n8n-pons.duckdns.org/webhook/42e803ae-8aee-4b1c-858a-6c6d3fbb6230

#Base de datos para la ia
KB_DB_HOST=10.10.4.17
KB_DB_PORT=3391
KB_DB_NAME=lastwar_mysql
KB_DB_USER=nickpons666
KB_DB_PASS=MiPo6425@@ 

#Token de groq
GROQ_API_KEY=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
